Bug 1506996 - Client Side Decoration / gtk3 Quirks
Summary: Client Side Decoration / gtk3 Quirks
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 11:33 UTC by Jakub Steiner
Modified: 2018-11-30 23:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:25:12 UTC
Type: Bug


Attachments (Terms of Use)
comparison between native half-maxed windows and Firefox 57 CSD (20.07 KB, image/png)
2017-10-27 11:33 UTC, Jakub Steiner
no flags Details

Description Jakub Steiner 2017-10-27 11:33:31 UTC
Created attachment 1344265 [details]
comparison between native half-maxed windows and Firefox 57 CSD

Number of little issues/"paper cuts" to address.

- Maximize/split screen keeps the corner rounding. When two windows are half-maximized and share an edge, the corner is not rounded (screenshot attached).

- Close button icon is #000. gtk+ tones these down (the mix ends up being #2e3436 (@theme_fg_color).

- Close button active state (possibly other window control buttons) shift the icon right and down by a pixel. No such shift happens in native gtk+.

- And finally a big one. No :backdrop state. gtk3 application use the state to better differentiate focused and unfocused windows. An unfocused window is generally flatter, with active controls toned down. Adwaita exposes a bunch of @theme_unfocused* colors to deal with the :backdrop state.

https://git.gnome.org/browse/gtk+/plain/gtk/theme/Adwaita/_colors-public.scss

Comment 1 Jakub Steiner 2018-01-09 10:23:07 UTC
In addition to the colors outline above, the close button is smaller and aligned to the top, rather than centered on the vertical estate. 


The most recent Google Chrome builds (v63) sport a close button that respect both size and color (including the backdrop state).

Comment 2 Ben Cotton 2018-11-27 13:50:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 23:25:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.